Get all recipients
curl --request GET \
--url https://api.staging.railsfromthecrypt.com/v1/recipients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.railsfromthecrypt.com/v1/recipients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.railsfromthecrypt.com/v1/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.staging.railsfromthecrypt.com/v1/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.staging.railsfromthecrypt.com/v1/recipients"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.staging.railsfromthecrypt.com/v1/recipients")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.staging.railsfromthecrypt.com/v1/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Recipients retrieved successfully",
"data": [
{
"id": "rec_01J8V9ZP3A7",
"type": "crypto",
"name": "My USDT Wallet",
"active": true,
"details": {
"network": "Ethereum",
"wallet_address": "0x3fA91D6b84bE2c0BFD7647a92E5B1A2Ec6F8C91e",
"symbol": "USDT"
},
"created_at": "2025-10-10T09:15:21Z"
},
{
"id": "rec_02K9W0AQ4B8",
"type": "fiat",
"name": "Acme Ltd",
"active": true,
"details": {
"bank_name": "Wema Bank",
"account_number": "0123456789",
"account_name": "ACME LTD",
"currency": "NGN"
},
"created_at": "2025-10-12T14:30:00Z"
}
],
"meta": {
"count": 25,
"next": 2,
"prev": null
}
}Recipients
Get Recipients
GET
/
v1
/
recipients
Get all recipients
curl --request GET \
--url https://api.staging.railsfromthecrypt.com/v1/recipients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.railsfromthecrypt.com/v1/recipients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.railsfromthecrypt.com/v1/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.staging.railsfromthecrypt.com/v1/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.staging.railsfromthecrypt.com/v1/recipients"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.staging.railsfromthecrypt.com/v1/recipients")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.staging.railsfromthecrypt.com/v1/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Recipients retrieved successfully",
"data": [
{
"id": "rec_01J8V9ZP3A7",
"type": "crypto",
"name": "My USDT Wallet",
"active": true,
"details": {
"network": "Ethereum",
"wallet_address": "0x3fA91D6b84bE2c0BFD7647a92E5B1A2Ec6F8C91e",
"symbol": "USDT"
},
"created_at": "2025-10-10T09:15:21Z"
},
{
"id": "rec_02K9W0AQ4B8",
"type": "fiat",
"name": "Acme Ltd",
"active": true,
"details": {
"bank_name": "Wema Bank",
"account_number": "0123456789",
"account_name": "ACME LTD",
"currency": "NGN"
},
"created_at": "2025-10-12T14:30:00Z"
}
],
"meta": {
"count": 25,
"next": 2,
"prev": null
}
}Retrieve all recipients for your account. You can filter by recipient type (crypto or fiat) using the
type query parameter.Authorizations
Your JWT access token from Issue Token.
Query Parameters
Filter by recipient type.
Available options:
crypto, fiat Filter by currency (e.g. NGN, USDC).
Number of items per page.
Example:
10
Page number.
Example:
1